#!/bin/bash
set -e

# 终止旧进程
pkill -f "python.*manage.py runserver 0.0.0.0:8084" || true
sleep 2

# 检查端口
if lsof -Pi :8084 -sTCP:LISTEN -t >/dev/null ; then
    echo "Port 8084 is still in use. Exiting."
    exit 1
fi

# 激活虚拟环境
source venv/bin/activate

if [[ "$VIRTUAL_ENV" == "" ]]; then
    echo "Failed to activate virtual environment"
    exit 1
fi

echo "Virtual environment activated: $VIRTUAL_ENV"

# 启动新进程
nohup /www/wwwroot/yiyao_api/venv/bin/python manage.py runserver 0.0.0.0:8084 --noreload > nohup.out 2>&1 &
echo $! > myapp.pid

echo "New process started with PID $(cat myapp.pid)"